Announcement Announcement Module
Collapse
No announcement yet.
Spring Roo app on JBoss AS 5 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Roo app on JBoss AS 5

    Hello,

    I'm trying to deploy Spring Roo application on JBoss AS 5.0. Everything works fine on embeded Tomcat but on JBoss i got following errors:

    2010-07-23 22:23:42,328 DEBUG [org.jboss.web.tomcat.service.deployers.TomcatDeplo yment] (main) Unable to retrieve orb
    javax.management.InstanceNotFoundException: jboss:service=CorbaORB is not registered.
    ...
    WEB-INF/classes/META-INF/spring/applicationContext-security.xml] is invalid; nested exception is org.xml.sax.SAXParseException: Attribute name "xsi:ramework.org.i" associated with an element type "beans:beans" must be followed by the ' = ' character.
    ...
    Caused by: org.xml.sax.SAXParseException: Attribute name "xsi:ramework.org.i" associated with an element type "beans:beans" must be followed by the ' = ' character.
    ...
    and more.

    Any suggestions?

    I use:
    Spring Roo 1.0.0-RC3
    JBoss AS 5.0

    Thanks in advance.

  • #2
    Is "xsi:ramework.org.i" a typo in your post or do you have this in your security context file? It doesn't seem right to me. Also, 1.0.0.RC1 is a very old release - can you try at least 1.0.2 or the latest 1.1.0.M2 release?

    Comment


    • #3
      It's not a typo. This is a message form my logs. It's also strange for me because my applicationContext-security.xml looks like this:

      <?xml version="1.0" encoding="UTF-8"?>
      <beans:beans xmlns="http://www.springframework.org/schema/security"
      xmlns:beans="http://www.springframework.org/schema/beans"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schem...-beans-2.5.xsd
      http://www.springframework.org/schema/security http://www.springframework.org/schema/security/spring-security-3.0.xsd">

      (...)

      </beans:beans>

      For now I'd rather use 1.0.0.RC1 but if nothing helps I will try. Everything should work fine on JBoss?

      Comment


      • #4
        I think it because of some illegal chars in my file that I don't see. Is there any good solution to clean xml file for SAXParser?

        Comment

        Working...
        X